package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.model.ToSysRole;

import java.util.List;

/**
 * 角色 业务
 * @author weiximei
 */
public interface IToSysRoleService {
    /**
     * 根据用户ID查询所有角色
     * @param userId
     * @return
     */
    List<ToSysRole> selectRoleByUserId(Integer userId);

    /**
     * 获取所有的角色
     *
     * @param parameter
     * @return
     */
    ResponseBean getAll(String parameter);
}
